[build-system]
requires = ["poetry-core>=1.0.7"]
build-backend = "poetry.core.masonry.api"

[tool.poetry]
name = "flexoentity"
version = "0.0.1"
description = "Core entity and ID framework for the Flex-O ecosystem."
authors = ["Enrico Enno Schwass <ennoausberlin@mac.com>"]
license = "MIT"
readme = "README.md"
homepage = "https://example.com/flexoentity"
repository = "https://example.com/flexoentity.git"
documentation = "https://example.com/flexoentity/docs"
keywords = ["flex-o", "entity", "id", "versioning", "hashing", "reproducibility"]
classifiers = [
    "Development Status :: 5 - Production/Stable",
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent"
]

packages = [
    { include = "flexoentity" }
]

include = [
    { path = "tests/*.py" }
]

[tool.poetry.dependencies]
python = "^3.10.6"

[tool.poetry.group.dev.dependencies]
pytest = "^7.1.3"

[tool.poetry.urls]
Homepage = "https://example.com/flexoentity"
Repository = "https://example.com/flexoentity.git"
Issues = "https://example.com/flexoentity/issues"
